Skip to main content
POST
/
b2b
/
quotes
Request Quote
curl --request POST \
  --url https://nexus.kraken.com/b2b/quotes \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "receive",
  "amount": {
    "asset": "BTC",
    "amount": "1.23",
    "asset_class": "currency"
  },
  "quote": {
    "asset": "BTC"
  },
  "fee_bps": "<string>",
  "spread_bps": "<string>",
  "quote_currency": "BTC"
}
'
{
  "result": {
    "quote_id": "<string>",
    "type": "receive",
    "status": "new",
    "expires": "2023-11-07T05:31:56Z",
    "spend": {
      "asset": "<string>",
      "total": "1.23",
      "fee": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency"
    },
    "receive": {
      "asset": "<string>",
      "total": "1.23",
      "fee": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency"
    },
    "unit_price": {
      "asset": "<string>",
      "unit_price": "1.23",
      "denomination_asset": "<string>",
      "asset_class": "currency",
      "denomination_asset_class": "currency"
    },
    "quoted_spend": {
      "asset": "<string>",
      "total": "1.23",
      "fee": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency"
    },
    "quoted_receive": {
      "asset": "<string>",
      "total": "1.23",
      "fee": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency"
    },
    "quoted_unit_price": {
      "asset": "<string>",
      "unit_price": "1.23",
      "denomination_asset": "<string>",
      "asset_class": "currency",
      "denomination_asset_class": "currency"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

user
string
required

IIBAN of the user to act on behalf of. Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Body

application/json
type
enum<string>
required

Type of quote (receive or spend).

  • receive: Represents a 'fixed receive' scenario where the user specifies how much they want to receive in the amount field - Example: User wants to receive 100 USD by selling some amount of BTC
  • spend: Represents a 'fixed spend' scenario where the user specifies how much they want to spend in the amount field to receive some amount of the quote asset - Example: User wants to spend 100 USD to buy some amount of BTC
Available options:
receive,
spend
amount
object
required

Asset and amount that the user wants to specify exactly

  • For receive quote_type: This is the exact amount the user wants to receive - For spend quote_type: This is the exact amount the user wants to spend
quote
object
required

The other asset involved in the transaction - For receive quote_type: This is the asset the user will spend (in a variable amount) - For spend quote_type: This is the asset the user will receive (in a variable amount)

fee_bps
string
required

Custom fee amount expressed in basis points (1 bps = 0.01%)

Pattern: ^\d{1,5}$
spread_bps
string
required

Custom spread amount expressed in basis points (1 bps = 0.01%)

Pattern: ^\d{1,5}$
quote_currency
string

If set will return quoted_spend, quoted_receive, quoted_unit_price

Required string length: 3 - 16
Example:

"BTC"

Response

Response

result
object